<?
 if ($_GET['view']=='player') {
    if (isset($_GET[id])) {
          $sql=mysql_query("SELECT id,char_name,hit_points,maxhp,level FROM users WHERE id='$_GET[id]' ");
          $enemy=mysql_fetch_array($sql);
          $page.="<br/><b>$enemy[char_name]</b><br/>";
          $page.="<br/>Уровень $enemy[level]";
          $page.="<br/>Здоровье $enemy[hit_points]/$enemy[maxhp]";
          $page.="<br/><a href='./?view=player&amp;about=$_GET[id]'>Информация</a>";
          $page.="<br/><a href='./?do=use&amp;what=what&amp;target=player&amp;id=$enemy[id]'>Использовать на нем</a>";
          if ($location[loc_option][fight] != 'no') {$page.="<br/><a href='./?attack=player&amp;id=$enemy[id]'>Напасть</a>";}
          $page.="<br/><a href='./?do=mail&amp;mod=write&amp;to=$enemy[char_name]'>Написать письмо</a>";
          $page.="<br/><a href='./?do=give&amp;to=$enemy[id]'>Передать</a><br/>";
          $page.="<br/><a href='./?do=party&amp;invite=$enemy[id]'>Пригласить в пати</a><br/>";
  	}
  	elseif (isset($_GET[about])) {
          $page.=about_user($_GET[about]);
  	}
  	elseif (isset($_GET["stat"])) {
          $sql=mysql_query("SELECT status,char_name FROM users WHERE id='$_GET[stat]' LIMIT 1");
          $user=mysql_fetch_array($sql);
          $user[status]=unserialize($user[status]);
          $page.="<br/><b>$user[char_name]</b><br/>";
          if ($_GET[win]=="pvp"){
             if (!is_array($user[status][rate][win][pvp])){$page.="<br/>Ни одного игрока не побеждено";}
             else{
             	 $count=sizeof($user[status][rate][win][pvp])-1;
             	 if (!isset($_GET[str])){$_GET[str]=1;}
             	 $begin=($_GET[str]-1)*15;  $i=1;
                 foreach($user[status][rate][win][pvp] as $key=>$value)
                 {
                   if ($key!="count" and $i>=$begin and $i<($begin+15) and $i<=$count){
                     $sql=mysql_query("SELECT char_name FROM users WHERE id='$key' LIMIT 1");
                     $name=mysql_result($sql,0,"char_name");
                     $page.="<br/><a href='./?view=player&amp;id=$key'>$name</a> - $value";
                     $i++;
                   }
                   elseif ($i>=($begin+15) or $i>$count) {break;}
                 }$page.="<br/>";
                 if ($count>15){$page.=nav_page(ceil($count/15), $_GET[str], "././?view=player&amp;stat=$_GET[stat]&amp;win=pvp&amp;str=");}
             }
          }
          elseif ($_GET[win]=="pve"){
             if (!is_array($user[status][rate][win][pve])){$page.="<br/>Ни одного монстра не побеждено";}
             else{
             	 $count=sizeof($user[status][rate][win][pve])-1;
             	 if (!isset($_GET[str])){$_GET[str]=1;}
             	 $begin=($_GET[str]-1)*15;  $i=1;
                 foreach($user[status][rate][win][pve] as $key=>$value)
                 {
                   if ($key!="count" and $i>=$begin and $i<($begin+15) and $i<=$count){
                     $sql=mysql_query("SELECT name FROM monsters WHERE id='$key' LIMIT 1");
                     $name=mysql_result($sql,0,"name");
                     $page.="<br/>$name - $value";
                     $i++;
                   }
                   elseif ($i>=($begin+15) or $i>$count) {break;}
                 }$page.="<br/>";
                 if ($count>15){$page.=nav_page(ceil($count/15), $_GET[str], "././?view=player&amp;stat=$_GET[stat]&amp;win=pve&amp;str=");}
             }
          }
          elseif ($_GET[loose]=="pvp"){
             if (!is_array($user[status][rate][loose][pvp])){$page.="<br/>Ни одного поражения от игроков";}
             else{
             	 $count=sizeof($user[status][rate][loose][pvp])-1;
             	 if (!isset($_GET[str])){$_GET[str]=1;}
             	 $begin=($_GET[str]-1)*15;  $i=1;
                 foreach($user[status][rate][loose][pvp] as $key=>$value)
                 {
                   if ($key!="count" and $i>=$begin and $i<($begin+15) and $i<=$count){
                     $sql=mysql_query("SELECT char_name FROM users WHERE id='$key' LIMIT 1");
                     $name=mysql_result($sql,0,"char_name");
                     $page.="<br/><a href='./?view=player&amp;id=$key'>$name</a> - $value";
                     $i++;
                   }
                   elseif ($i>=($begin+15) or $i>$count) {break;}
                 }$page.="<br/>";
                 if ($count>15){$page.=nav_page(ceil($count/15), $_GET[str], "././?view=player&amp;stat=$_GET[stat]&amp;loose=pvp&amp;str=");}
             }
          }
          elseif ($_GET[loose]=="pve"){
             if (!is_array($user[status][rate][loose][pve])){$page.="<br/>Ни одного поражения от монстров";}
             else{
             	 $count=sizeof($user[status][rate][loose][pve])-1;
             	 if (!isset($_GET[str])){$_GET[str]=1;}
             	 $begin=($_GET[str]-1)*15;  $i=1;
                 foreach($user[status][rate][loose][pve] as $key=>$value)
                 {
                   if ($key!="count" and $i>=$begin and $i<($begin+15) and $i<=$count){
                   	if (is_string($key) and !empty($key)){
                     $sql=mysql_query("SELECT id,name FROM monsters WHERE id='$key' LIMIT 1");
                     $page.=mysql_error();
                     $monstr=mysql_fetch_array($sql);
                     $page.="<br/>$monstr[name] - $value";
                     $i++;
                     }
                   }
                   elseif ($i>=($begin+15) or $i>$count) {break;}
                 }$page.="<br/>";
                 if ($count>15){$page.=nav_page(ceil($count/15), $_GET[str], "././?view=player&amp;stat=$_GET[stat]&amp;loose=pve&amp;str=");}
             }
          }
          else{
            if (empty($user[status][rate][win][pve]["count"])){$user[status][rate][win][pve]["count"]=0;}
            if (empty($user[status][rate][win][pvp]["count"])){$user[status][rate][win][pvp]["count"]=0;}
            if (empty($user[status][rate][loose][pve]["count"])){$user[status][rate][loose][pve]["count"]=0;}
            if (empty($user[status][rate][loose][pvp]["count"])){$user[status][rate][loose][pvp]["count"]=0;}
          	///$page.="<br/>Побед: ".($user[status][rate][win][pve]["count"]+$user[status][rate][win][pvp]["count"]).", Поражений: ".($user[status][rate][loose][pve]["count"]+$user[status][rate][loose][pvp]["count"]);
          	$page.="<br/>PVE победы[".$user[status][rate][win][pve]["count"]."]/[".$user[status][rate][loose][pve]["count"]."]</a><br/>";
          	$page.="PK победы[".$user[status][rate][win][pvp]["count"]."]/[".$user[status][rate][loose][pvp]["count"]."]</a>";
          	
          }
          $page.="<br/><a href='".str_replace("&","&amp;",$_SERVER[HTTP_REFERER])."'>Назад</a>";
  	}
  	else{
    	$tmp=time()-5*60;
  		$sql=mysql_query("SELECT id,char_name,hit_points,status,x,y FROM users WHERE loc_id='$player[loc_id]' AND onlinetime>'$tmp' ORDER BY char_name"); //
    	while ($enemy=mysql_fetch_array($sql)){
           if ($enemy[hit_points]>0 and $enemy[id]!=$player[id]){
                $enemy[status]=unserialize($enemy[status]);

         		$page.="<br/>".$enemy[char_name];
          		$distance=distance($enemy[x],$enemy[y],$player[x],$player[y]);
          		if ($distance<=10) {$page.="[Вплотную]";}
          		elseif ($distance<=20) {$page.="[Близко]";}
          		elseif ($distance<=35) {$page.="[Вблизи]";}
          		elseif ($distance<=50) {$page.="[Недалеко]";}
          		elseif ($distance<=100) {$page.="[Далеко]";}
          		else {$page.="[Очень далеко]";}
          		if ($enemy[status][infight]!="no"){$page.="[В бою]";}
          		$page.=" <a href='./?view=player&amp;id=$enemy[id]'>[inf]</a>";
                $page.=" <a href='./?do=use&amp;what=what&amp;target=player&amp;id=$enemy[id]'>[исп]</a>";
          		if ($location[loc_option][fight] != 'no') {$page.=" <a href='./?attack=player&amp;id=$enemy[id]'>[бить]</a>";}
           }

    	}
    }
  }
  elseif ($_GET['view']=='monstr') {
  	 if (isset($_GET[id])) {
  	 	$id=$_GET[id];
  	 	if ($monstr_list[$id][type_dmg]==normal){$dmgtype="Нормальный";}
  	 	elseif ($monstr_list[$id][type_dmg]==plazma){$dmgtype="Плазма";}
  	 	elseif ($monstr_list[$id][type_dmg]==boom){$dmgtype="Взрыв";}
  	 	elseif ($monstr_list[$id][type_dmg]==volt){$dmgtype="Электричество";}
        $page.="<br/><b>".$monstr_list[$id][name]."</b>
           <br/>".$monstr_list[$id][info]."
           <br/>Здоровье: ".$monstr_list[$id][hit_points]."/".$monstr_list[$id][maxhp]."
           <br/>Очки действия: ".$monstr_list[$id][od]."/".$monstr_list[$id][maxod]."
           <br/>Урон: ".$monstr_list[$id][damage]."
           <br/>Тип урона: $dmgtype
           <br/><b>Сопротивления:</b>
           <br/>Нормальному урону: ".$monstr_list[$id][resnormal]."
           <br/>Плазме: ".$monstr_list[$id][resplazma]."
           <br/>Взрывам: ".$monstr_list[$id][resboom]."
           <br/>Электричеству: ".$monstr_list[$id][resvolt]."
           <br/>Бонус на уворот: ".$monstr_list[$id][bonusdex]."%
           <br/>Шанс крита: ".$monstr_list[$id][crit_chance]."%";
           $page.="<br/><br/><a href='./?do=use&amp;what=what&amp;target=monster&amp;id=$id'>Использовать на нем</a>";
           if ($location[loc_option][fight] != 'no') {$page.="<br/><a href='./?attack=monster&amp;id=$id'>Атаковать</a>";}

  	 }
  	 else {
      for ($i=0;$i<sizeof($monstr_list);$i++)
      {   if ($monstr_list[$i][status]=="life")
         {$page.="<br/><a href='./?view=monstr&amp;id=$i'>".$monstr_list[$i][name]."</a>";
          $distance=distance($monstr_list[$i][x],$monstr_list[$i][y],$player[x],$player[y]);
          if ($distance<=10) {$page.="[Вплотную]";}
          elseif ($distance<=20) {$page.="[Близко]";}
          elseif ($distance<=35) {$page.="[Вблизи]";}
          elseif ($distance<=50) {$page.="[Недалеко]";}
          elseif ($distance<=100) {$page.="[Далеко]";}
          else {$page.="[Очень далеко]";}
          if (!empty($monstr_list[$i][in_fight])){$page.=" [В бою] ";}
          if ($location[loc_option][fight] != 'no') {$page.=" <a href='./?attack=monster&amp;id=$i'>[бить]</a>";}
         }

      }
     }
  }
?>